libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
xmlpp::Attribute Class Reference

Represents an XML Node attribute. More...

`#include <libxml++/attribute.h>`

Inheritance diagram for xmlpp::Attribute:
[legend]
Collaboration diagram for xmlpp::Attribute:
[legend]

List of all members.

## Public Member Functions

| Attribute (_xmlNode* node)
virtual | ~Attribute ()
Glib::ustring | get_name () const
| Get the name of this attribute.
Glib::ustring | get_value () const
| Get the value of this attribute.
void | set_value (const Glib::ustring& value)
| Set the value of this attribute.
_xmlAttr* | cobj ()
| Access the underlying libxml implementation.
const _xmlAttr* | cobj () const
| Access the underlying libxml implementation.

## Detailed Description

Represents an XML Node attribute.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

xmlpp::Attribute::Attribute | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::Attribute::~Attribute | ( |  | ) | `[virtual]`

## Member Function Documentation

_xmlAttr* xmlpp::Attribute::cobj | ( |  | ) |

Access the underlying libxml implementation.

If this is an AttributeDeclaration, use AttributeDeclaration::cobj() instead. This method is here for backward compatibility. It may be moved to AttributeNode in the future.

Reimplemented from xmlpp::Node.

Reimplemented in xmlpp::AttributeDeclaration.

const _xmlAttr* xmlpp::Attribute::cobj | ( |  | ) | const

Access the underlying libxml implementation.

If this is an AttributeDeclaration, use AttributeDeclaration::cobj() instead. This method is here for backward compatibility. It may be moved to AttributeNode in the future.

Reimplemented from xmlpp::Node.

Reimplemented in xmlpp::AttributeDeclaration.

Glib::ustring xmlpp::Attribute::get_name | ( |  | ) | const

Get the name of this attribute.

See also Node::get_namespace_prefix() and Node::get_namespace_uri()

Returns:
  The attribute's name.

Reimplemented from xmlpp::Node.

Glib::ustring xmlpp::Attribute::get_value | ( |  | ) | const

Get the value of this attribute.

Can be used for both an AttributeDeclaration and an AttributeNode.

Returns:
  The attribute's value.

Reimplemented in xmlpp::AttributeDeclaration.

void xmlpp::Attribute::set_value | ( | const Glib::ustring & | value | ) |

Set the value of this attribute.

If this is an AttributeDeclaration, the value will not be changed. This method is here for backward compatibility. It may be moved to AttributeNode in the future.

The documentation for this class was generated from the following file:

- attribute.h